Package de.willuhn.jameica.hbci.gui.chart

# Class ChartDataSaldoSummeForecast

java.lang.Object
de.willuhn.jameica.hbci.gui.chart.AbstractChartDataSaldo
de.willuhn.jameica.hbci.gui.chart.ChartDataSaldoSumme
de.willuhn.jameica.hbci.gui.chart.ChartDataSaldoSummeForecast

All Implemented Interfaces:
  `ChartData`, `LineChartData`

public class ChartDataSaldoSummeForecast extends ChartDataSaldoSumme
Implementierung eines Datensatzes fuer die Darstellung des addierten Saldenverlaufs - jedoch als Forecast.

## Field Summary

### Fields inherited from class de.willuhn.jameica.hbci.gui.chart.AbstractChartDataSaldo

`i18n`

## Constructor Summary

Constructors
Constructor
Description
`ChartDataSaldoSummeForecast(ChartDataSaldoSumme base)`
ct.

## Method Summary

Modifier and Type
Method
Description
`int[]`
`getColor()`
Liefert ein Array mit den Farbwerten (0-255) fuer Ror, Gruen und Blau.
`String`
`getLabel()`
Liefert das Label der Datenreihe.
`LineStyle`
`getLineStyle()`
Liefert den Linienstil.
`int`
`getLineWidth()`
Liefert die Linienbreite in Pixel.
`boolean`
`isLegendEnabled()`
True, wenn die Linie in der Legende angezeigt werden soll.

### Methods inherited from class de.willuhn.jameica.hbci.gui.chart.ChartDataSaldoSumme

`add, getData, isFilled`

### Methods inherited from class de.willuhn.jameica.hbci.gui.chart.AbstractChartDataSaldo

`getCurve, getDataAttribute, getLabelAttribute, setColor, setLegendEnabled`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChartDataSaldoSummeForecast

public ChartDataSaldoSummeForecast(ChartDataSaldoSumme base)
ct.

Parameters:
  `base` - die Basis.

## Method Details

### getLabel

public String getLabel() throws RemoteException
Description copied from interface: `ChartData`
Liefert das Label der Datenreihe.

Specified by:
  `getLabel` in interface `ChartData`
Overrides:
  `getLabel` in class `ChartDataSaldoSumme`
Returns:
  Label der Datenreihe.
Throws:
  `RemoteException`
See Also:
  - `ChartData.getLabel()`

### getColor

public int[] getColor() throws RemoteException
Description copied from interface: `LineChartData`
Liefert ein Array mit den Farbwerten (0-255) fuer Ror, Gruen und Blau.

Specified by:
  `getColor` in interface `LineChartData`
Overrides:
  `getColor` in class `AbstractChartDataSaldo`
Returns:
  Array mit den Farbwerten oder null, wenn eine zufaellige Farbe gewaehlt werden soll.
Throws:
  `RemoteException`
See Also:
  - `AbstractChartDataSaldo.getColor()`

### getLineStyle

public LineStyle getLineStyle() throws RemoteException
Description copied from interface: `LineChartData`
Liefert den Linienstil.

Specified by:
  `getLineStyle` in interface `LineChartData`
Overrides:
  `getLineStyle` in class `AbstractChartDataSaldo`
Returns:
  der Linienstil.
Throws:
  `RemoteException`
See Also:
  - `AbstractChartDataSaldo.getLineStyle()`

### getLineWidth

public int getLineWidth() throws RemoteException
Description copied from interface: `LineChartData`
Liefert die Linienbreite in Pixel.

Specified by:
  `getLineWidth` in interface `LineChartData`
Overrides:
  `getLineWidth` in class `ChartDataSaldoSumme`
Returns:
  die Linienbreite in Pixel.
Throws:
  `RemoteException`
See Also:
  - `ChartDataSaldoSumme.getLineWidth()`

### isLegendEnabled

public boolean isLegendEnabled() throws RemoteException
Description copied from interface: `LineChartData`
True, wenn die Linie in der Legende angezeigt werden soll.

Specified by:
  `isLegendEnabled` in interface `LineChartData`
Overrides:
  `isLegendEnabled` in class `AbstractChartDataSaldo`
Returns:
  true, wenn die Linie in der Legende angezeigt werden soll.
Throws:
  `RemoteException`
See Also:
  - `AbstractChartDataSaldo.isLegendEnabled()`